Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.common.security
Class DefaultSecurityManager

    java.lang.Object
      com.dbxml.util.SimpleConfigurable
          com.dbxml.db.common.security.SecurityManagerBase
              com.dbxml.db.common.security.DefaultSecurityManager

All Implemented Interfaces:
  Configurable, SecurityManager

public final class DefaultSecurityManager
extends SecurityManagerBase

DefaultSecurityManager is the default SecurityManager implementation for dbXML.

Constructor Summary
`DefaultSecurityManager()`

Method Summary
`void` | `access(java.lang.String path, int mask)` access performs an access control check against the SecurityManager's access control lists.
`void` | `authenticate(java.lang.String userID, java.lang.String password)` authenticate checks a User against the SecurityManager's access control lists.
`void` | `setDatabase(Database database)` setDatabase sets the Database instance for this SecurityManager.

Methods inherited from class com.dbxml.db.common.security.SecurityManagerBase
`getCurrentUserID, setMagicUser, setUserStack`

Methods inherited from class com.dbxml.util.SimpleConfigurable
`getConfig, setConfig`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.dbxml.util.Configurable
`getConfig, setConfig`

Constructor Detail

### DefaultSecurityManager

    public DefaultSecurityManager()

Method Detail

### setDatabase

    public void setDatabase(Database database)

  Description copied from interface: `SecurityManager`
  setDatabase sets the Database instance for this SecurityManager. It is the Database that the SecurityManager will be assigned to protect. It should also be the Database that the SecurityManager uses to manage access control lists (if local).

  Specified by:
    `setDatabase` in interface `SecurityManager`
  Overrides:
    `setDatabase` in class `SecurityManagerBase`

### authenticate

    public void authenticate(java.lang.String userID,
                             java.lang.String password)
                      throws SecurityException

  Description copied from interface: `SecurityManager`
  authenticate checks a User against the SecurityManager's access control lists. If the user ID and password do not check out, a SecurityException is thrown.

  Parameters:
    `userID` - the User ID to check
    `password` - the Password to check
  Throws:
    `SecurityException`

### access

    public void access(java.lang.String path,
                       int mask)
                throws SecurityException

  Description copied from interface: `SecurityManager`
  access performs an access control check against the SecurityManager's access control lists. If the current user isn't allowed to access the specified path with the defined permission mask, a SecurityException is thrown.

  Parameters:
    `path` - the resource path being accessed
    `mask` - The access mask to check against
  Throws:
    `SecurityException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group